Internals

# Class: WideImage_MapperFactory

Source Location: /MapperFactory.php

### Class Overview

Mapper factory

#### Author(s):

### Variables

- $customMappers
- $mappers
- $mimeTable

### Methods

- determineFormat
- extractExtension
- getCustomMappers
- mimeType
- registerMapper
- selectMapper

### Class Details

[line 37]
Mapper factory

#### Tags:

abstract: |

[ Top ]

### Class Variables

#### static $customMappers = array()

[line 40]

#### Tags:

access: | protected

Type: | mixed

[ Top ]

#### static $mappers = array()

[line 39]

#### Tags:

access: | protected

Type: | mixed

[ Top ]

#### static $mimeTable = array(
'image/jpg' => 'JPEG',
'image/jpeg' => 'JPEG',
'image/pjpeg' => 'JPEG',
'image/gif' => 'GIF',
'image/png' => 'PNG'
)

[line 42]

#### Tags:

access: | protected

Type: | mixed

[ Top ]

### Class Methods

### static method determineFormat [line 93]

`static void determineFormat( $uri, [ $format = null])`

#### Parameters:

| $uri |
| $format |

[ Top ]

### static method extractExtension [line 118]

`static void extractExtension( $uri)`

#### Parameters:

| $uri |

[ Top ]

### static method getCustomMappers [line 88]

`static void getCustomMappers( )`

[ Top ]

### static method mimeType [line 113]

`static void mimeType( $format)`

#### Parameters:

| $format |

[ Top ]

### static method registerMapper [line 82]

`static void registerMapper( $mapper_class_name, $mime_type, $extension)`

#### Parameters:

| $mapper_class_name |
| $mime_type |
| $extension |

[ Top ]

### static method selectMapper [line 57]

`static WideImage_Mapper selectMapper( string $uri, [string $format = null])`

Returns a mapper, based on the $uri and $format

#### Parameters:

string | $uri | File URI
string | $format | File format (extension or mime-type) or null

[ Top ]

Documentation generated on Sat, 19 Feb 2011 12:55:42 +0100 by phpDocumentor 1.4.3